Open Babel: OBBondTyper Class Reference

Public Member Functions | Protected Attributes

# OBBondTyper Class Reference

Assigns bond types for file formats without bond information. More...

`#include <openbabel/bondtyper.cpp>`

Inheritance diagram for OBBondTyper:

List of all members.

## Public Member Functions
| OBBondTyper ()
| ~OBBondTyper ()
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)
OBBondTyper Database Utilities
void | ParseLine (const char *)
size_t | GetSize ()
Bond Perception Routines
void | AssignFunctionalGroupBonds (OBMol &mol)
## Protected Attributes
bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Assigns bond types for file formats without bond information.

The OBBondTyper class is designed to read in a list of bond typing rules and apply them to molecules. It is called from the OBMol::PerceiveBondOrders() method.

## Constructor & Destructor Documentation

OBBondTyper | ( | ) |

~OBBondTyper | ( | ) |

## Member Function Documentation

void ParseLine | ( | const char * | ) | `[virtual]`

Specified by particular table classes (parses an individual data line)

Reimplemented from OBGlobalDataBase.

size_t GetSize | ( | ) | `[inline, virtual]`

Returns:
  the size of the database (for error checking)

Reimplemented from OBGlobalDataBase.

void AssignFunctionalGroupBonds | ( | OBMol & | mol ) |

Assign bonds to functional groups based on the bond typer database.

Referenced by OBMol::PerceiveBondOrders().

void Init | ( | ) | `[inherited]`

Read in the data file, falling back as needed.

void SetReadDirectory | ( | char * | dir ) | `[inline, inherited]`

Set the directory before calling Init()

void SetEnvironmentVariable | ( | char * | var ) | `[inline, inherited]`

Set the environment variable to use before calling Init()

## Member Data Documentation

bool _init`[protected, inherited]`

Whether the data been read already.

const char* _dataptr`[protected, inherited]`

Default data table if file is unreadable.

std::string _filename`[protected, inherited]`

File to search for.

std::string _dir`[protected, inherited]`

Data directory for file if _envvar fails.

std::string _subdir`[protected, inherited]`

Subdirectory (if using environment variable)

std::string _envvar`[protected, inherited]`

Environment variable to check first.

The documentation for this class was generated from the following files:

- bondtyper.h
- bondtyper.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines